com.fasterxml.aalto

## Class UncheckedStreamException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.fasterxml.aalto.UncheckedStreamException

- All Implemented Interfaces:
    Serializable

      public class UncheckedStreamException
      extends RuntimeException

  Unchecked exception that has to be used for methods of Stax API that do not allow throwing checked XMLStreamException, but where internal methods that need to be called may throw such an exception. It is, then, essentially used to overcome design flaws in Stax API.

  This class generally tries to forward all requests to the underlying exception class, in the hopes that it can for the most part look just like if the underlying message was thrown. This may be confusing in some ways ("Why did my catch (XMLStreamException ..) clause catch this exception?"), but usually should make sense.

  See Also:
    Serialized Form

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UncheckedStreamException` | `createFrom(XMLStreamException sex)`
    `String` | `getLocalizedMessage()`
    `String` | `getMessage()`
    `StackTraceElement[]` | `getStackTrace()`
    `void` | `printStackTrace()`
    `void` | `printStackTrace(PrintStream p)`
    `void` | `printStackTrace(PrintWriter p)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getSuppressed, initCause, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### createFrom

          public static UncheckedStreamException createFrom(XMLStreamException sex)

    - #### getStackTrace

          public StackTraceElement[] getStackTrace()

      Overrides:
        `getStackTrace` in class `Throwable`

    - #### getMessage

          public String getMessage()

      Overrides:
        `getMessage` in class `Throwable`

    - #### getLocalizedMessage

          public String getLocalizedMessage()

      Overrides:
        `getLocalizedMessage` in class `Throwable`

    - #### printStackTrace

          public void printStackTrace()

      Overrides:
        `printStackTrace` in class `Throwable`

    - #### printStackTrace

          public void printStackTrace(PrintStream p)

      Overrides:
        `printStackTrace` in class `Throwable`

    - #### printStackTrace

          public void printStackTrace(PrintWriter p)

      Overrides:
        `printStackTrace` in class `Throwable`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Throwable`

Copyright © 2012-2015 FasterXML. All Rights Reserved.